Loading...
Searching...
No Matches
raptor::threshold::threshold Class Reference

## Public Member Functions

size_t | get (size_t const minimiser_count) const noexcept
threshold & | operator= (threshold &&)=default
threshold & | operator= (threshold const &)=default
| threshold (threshold &&)=default
| threshold (threshold const &)=default
| threshold (threshold_parameters const &arguments)

## Private Types

enum class | threshold_kinds { probabilistic , lemma , percentage }

## Private Attributes

size_t | kmer_lemma {}
size_t | maximal_number_of_minimizers {}
size_t | minimal_number_of_minimizers {}
std::vector< size_t > | precomp_correction {}
std::vector< size_t > | precomp_thresholds {}
threshold_kinds | threshold_kind {threshold_kinds::probabilistic}
double | threshold_percentage {}

The documentation for this class was generated from the following file:

- threshold.hpp